#ifndef _TEST_MOVEMENT_H_
#define _TEST_MOVEMENT_H_

#include "freakture.h"
#include "freaktory.h"
#include "setup.h"
#include <vector>

class movement
{
	private:
		float RandomRot;
	
	public:
		movement();
		~movement();
	
		int CheckBoundaries(freakture& FsB);
		void SetRandomRot(freakture& FsRot);
		void SetHeading(freakture& FsH);
		void Restless(freakture& FsD);
		void Amble(freakture& FsAmb);
		void HeadToCentre(freakture& FsC);
		void SetNewPosition(freakture& FsP);
		
		void UpdateMoves(std::vector<freakture>& Fs3);
		
	
};

#endif //_TEST_MOVMENT_H_
