#ifndef _FREAKTURE_H_
#define _FREAKTURE_H_

#include <vector>

class freakture
{
	private:
		int id;
		float Speed;
		int Size;
		int Mood;
		int Personality;
		
		float PosX;
		float PosY;
		float LastPosX;
		float LastPosY;
		float Rot;
		float HeadingX;
		float HeadingY;
		float LastHeadingX;
		float LastHeadingY;
		float NextHeadingX;
		float NextHeadingY;
	
	public:
		static int count;
		
		struct TRAILPOS
		{
			float x;
			float y;	
		} TRAIL;
		
		struct TRAILCOL
		{
			float r;
			float g;
			float b;	
		} COLOUR;
		
		std::vector<TRAILPOS> Trail;
		
		freakture();
		~freakture();
		
		void AddTrailPos(void);
		
		void SetSpeed(float sp);
		float GetSpeed(void);
		void SetSize(int si);
		int GetSize(void);
		void SetMood(int m);
		int GetMood(void);
		void SetPersonality(int p);
		int GetPersonality(void);
		
		void SetPosX(float x);
		float GetPosX(void);
		void SetPosY(float y);
		float GetPosY(void);
		void SetLastPosX(float lx);
		float GetLastPosX(void);
		void SetLastPosY(float ly);
		float GetLastPosY(void);
		void SetRot(float r);
		float GetRot(void);
		void SetHeadingX(float hx);
		float GetHeadingX(void);
		void SetHeadingY(float hy);
		float GetHeadingY(void);
		void SetNextHeadingX(float nhx);
		float GetNextHeadingX(void);
		void SetNextHeadingY(float nhy);
		float GetNextHeadingY(void);
		void SetLastHeadingX(float lhx);
		float GetLastHeadingX(void);
		void SetLastHeadingY(float lhy);
		float GetLastHeadingY(void);
		
		void Print(void);

};






#endif
