#ifndef _TEST_MOVEMENT_H_
#define _TEST_MOVEMENT_H_

#include "test_freakture.h"
#include "test_freaktory.h"
#include "test_setup.h"
#include <vector>

class movement
{
	private:
		//float RandomRot;
		float TimePassed;
	
	public:
		movement();
		~movement();
	
		int CheckBoundaries(freakture& FsB);
		void SetRandomRot(freakture& FsRot);
		void SetHeading(freakture& FsH);
		void SetNextHeading(freakture& FsH);
		void Restless(freakture& FsR);
		void Amble(freakture& FsAmb);
		void HeadToCentre(freakture& FsC);
		void SetNewPosition(freakture& FsP);
		//float Normalise(int xory, float x, float y);
		
		void UpdateMoves(std::vector<freakture>& Fs3);
		
	
};

#endif //_TEST_MOVMENT_H_
