#include <iostream>
#include "test_freakture.h"

using namespace std;

int freakture::count=0;

freakture::freakture()
{
	PosX=PosY=0;
	Rot=0.0;
	Speed=0.2;
	Size=4;
	
	count++;
	id = count;//assign a unique id number to each freakture created
	//cout<<"spawning! "<<id<<endl;
}

freakture::~freakture()
{
	//cout<<"death!"<<endl;
}

void freakture::AddTrailPos(void)
{
	if(Trail.size()>=500)
	{
		Trail.erase(Trail.begin());
		Trail.push_back(TRAIL);
	}
	else
		Trail.push_back(TRAIL);
}


void freakture::SetSpeed(float sp)
{
	Speed=sp;
}

float freakture::GetSpeed(void)
{
	return Speed;
}

void freakture::SetSize(int si)
{
	Size=si;
}

int freakture::GetSize(void)
{
	return Size;
}

void freakture::SetMood(int m)
{
	Mood=m;
}

int freakture::GetMood(void)
{
	return Mood;
}

void freakture::SetPersonality(int p)
{
	Personality=p;
}

int freakture::GetPersonality(void)
{
	return Personality;
}


void freakture::SetPosX(float x)
{
	PosX=x;
}

float freakture::GetPosX()
{
	return PosX;
}

void freakture::SetPosY(float y)
{
	PosY=y;
}

float freakture::GetPosY()
{
	return PosY;
}


void freakture::SetLastPosX(float lx)
{
	LastPosX=lx;
}

float freakture::GetLastPosX(void)
{
	return LastPosX;
}

void freakture::SetLastPosY(float ly)
{
	LastPosY=ly;
}

float freakture::GetLastPosY(void)
{
	return LastPosY;
}


void freakture::SetRot(float r)
{
	Rot=r;
}

float freakture::GetRot()
{
	return Rot;
}


void freakture::SetHeadingX(float hx)
{
	HeadingX=hx;
}

float freakture::GetHeadingX(void)
{
	return HeadingX;
}

void freakture::SetHeadingY(float hy)
{
	HeadingY=hy;
}

float freakture::GetHeadingY(void)
{
	return HeadingY;
}


void freakture::SetNextHeadingX(float nhx)
{
	NextHeadingX=nhx;
}

float freakture::GetNextHeadingX(void)
{
	return NextHeadingX;
}

void freakture::SetNextHeadingY(float nhy)
{
	NextHeadingY=nhy;
}

float freakture::GetNextHeadingY(void)
{
	return NextHeadingY;
}

void freakture::SetLastHeadingX(float lhx)
{
	LastHeadingX=lhx;
}

float freakture::GetLastHeadingX(void)
{
	return LastHeadingX;
}

void freakture::SetLastHeadingY(float lhy)
{
	LastHeadingY=lhy;
}

float freakture::GetLastHeadingY(void)
{
	return LastHeadingY;
}


void freakture::Print()
{
	cout<<"PosX is "<<PosX<<endl;
	cout<<"PosY is "<<PosY<<endl;
	cout<<"Last PosX was "<<LastPosX<<endl;
	cout<<"Last PosY was "<<LastPosY<<endl;
	cout<<"Rotation value is "<<Rot<<endl;
	cout<<"HeadingX is "<<HeadingX<<endl;
	cout<<"HeadingY is "<<HeadingX<<endl;
}
